<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="top.continew.admin.business.mapper.CoinSpeedUpgradesRulesMapper">
    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="top.continew.admin.business.model.entity.CoinSpeedUpgradesRules">
        <id column="id" property="id"/>
        <result column="consume_gold_coin" property="consumeGoldCoin"/>
        <result column="real_money" property="realMoney"/>
        <result column="numerical_value" property="numericalValue"/>
        <result column="level" property="level"/>
        <result column="created_by" property="createdBy"/>
        <result column="created_time" property="createdTime"/>
        <result column="updated_by" property="updatedBy"/>
        <result column="updated_time" property="updatedTime"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, consume_gold_coin, real_money, numerical_value, level, created_by, created_time, updated_by, updated_time
    </sql>
</mapper>
